Changeset 146293 for trunk/dports/kde


Ignore:
Timestamp:
Mar 3, 2016, 4:27:16 PM (3 years ago)
Author:
nicos@…
Message:

ffmpegthumbs: add variant to comply with changes in ffmpeg > 2.8 (ticket #50694)

Location:
trunk/dports/kde/ffmpegthumbs
Files:
3 added
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/kde/ffmpegthumbs/Portfile

    r141563 r146293  
    2626                    path:lib/libavcodec.dylib:ffmpeg
    2727
     28#The support for ffmpeg3 is kept is a variant, as it implies some
     29#regressions (no deinterlace).
     30#See https://git.reviewboard.kde.org/r/126992/ for an attempt to port the code,
     31#but it is based on later git code, and for Qt5.
     32variant ffmpeg3 description "Update code to comply with functions of ffmpeg > 2.8" {
     33    patchfiles-append   patch-deprecated.diff \
     34                        patch-nodeinterlace.diff
     35}
     36
    2837pre-activate {
    2938    #Deactivate hack for when kdemultimedia4 port has been fragmented into small ports
Note: See TracChangeset for help on using the changeset viewer.